Bug 1395139 - overcloud heat metadata endpoints are incorrectly set to localhost [NEEDINFO]
Summary: overcloud heat metadata endpoints are incorrectly set to localhost
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-heat
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: z1
: 10.0 (Newton)
Assignee: Steven Hardy
QA Contact: Amit Ugol
URL:
Whiteboard: aos-scalability-34
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-15 09:16 UTC by Jan Provaznik
Modified: 2018-02-18 08:57 UTC (History)
12 users (show)

Fixed In Version: puppet-heat-9.4.1-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:46:10 UTC
ddomingo: needinfo? (shardy)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0234 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 director Bug Fix Advisory 2017-02-01 19:44:43 UTC
OpenStack gerrit 402401 None None None 2016-11-25 11:13:53 UTC
Red Hat Bugzilla 1452677 None None None Never
Launchpad 1641873 None None None 2016-11-15 10:14:41 UTC

Internal Links: 1452677

Description Jan Provaznik 2016-11-15 09:16:49 UTC
Description of problem:
heat metadata urls are set to 127.0.0.1 after overcloud deployment:
heat_metadata_server_url = http://127.0.0.1:8000
heat_waitcondition_server_url = http://127.0.0.1:8000/v1/waitcondition
heat_watch_server_url =http://127.0.0.1:8003

Version-Release number of selected component (if applicable):
python-heatclient-1.4.0-0.20160831084943.fb7802e.el7ost.noarch
openstack-heat-engine-7.0.0-0.20160907124808.21e49dc.el7ost.noarch
openstack-heat-api-cloudwatch-7.0.0-0.20160907124808.21e49dc.el7ost.noarch
openstack-heat-api-cfn-7.0.0-0.20160907124808.21e49dc.el7ost.noarch
puppet-heat-9.2.0-0.20160901072004.4d7b5be.el7ost.noarch
openstack-heat-common-7.0.0-0.20160907124808.21e49dc.el7ost.noarch
openstack-heat-api-7.0.0-0.20160907124808.21e49dc.el7ost.noarch

Upstream bug:
https://bugs.launchpad.net/heat/+bug/1641873

Comment 1 Steven Hardy 2016-11-15 10:12:05 UTC
I raised https://bugs.launchpad.net/puppet-heat/+bug/1641873 and posted https://review.openstack.org/#/c/397644/ which aims to fix this.

Comment 2 Steven Hardy 2016-11-25 11:13:53 UTC
https://review.openstack.org/#/c/397644/ landed, proposed stable/newton backport:

https://review.openstack.org/#/c/402401/

Comment 3 Steven Hardy 2016-11-30 08:22:12 UTC
Stable backport https://review.openstack.org/#/c/402401/ landed

Comment 4 Steven Hardy 2016-11-30 09:17:29 UTC
Still waiting on a build containing this:

puppet-heat-9.4.1-1.el7ost.noarch.rpm is dated 11-Oct-2016 15:52 

I verified by inspection this does *not* include this change, so we need a newer build of that package.

Comment 5 Jon Schlueter 2016-11-30 14:02:14 UTC
patch is landed on upstream/stable/newton branch

Comment 10 errata-xmlrpc 2017-02-01 14:46:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0234.html


Note You need to log in before you can comment on or make changes to this bug.